wpa_supplicant P2P not working with new compat-wireless release (after 2010-12-20)

Jouni Malinen j at w1.fi
Fri Jan 7 05:45:13 EST 2011


On Thu, Jan 06, 2011 at 03:19:32PM -0800, Lin Ma wrote:
> Hello, does anyone try the latest compat-wireless release? I tried
> compat-wireless-2010-12-26 and compat-wireless-2010-12-20. I failed to
> connect two P2P devices with "p2p_find/p2p_connect" commands. One peer
> reports the following error.

This is likely caused by a regression in ath9k. Please try commenting
out setting of .change_interface in ath9k_ops
(drivers/net/wireless/ath/ath9k/main.c) to work around this.

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list